#### D.15.2.6 termsOnPolygon

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  termsOnPolygon(f, NP); poly f, NP list as given by @ref(newtonPolygon)

Return:
  the sum of the terms of f on the Newton polygon NP

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    list NP = newtonPolygon(f);
    termsOnPolygon(f,NP);
    ==> x4y2+x2y4+y8+x9

User manual for Singular version 4.4.1, 2025, generated by texi2html.